﻿
:root {
    --login-container-panel-shadow: var(--panel-shadow);
}

body {
    overflow: auto;
}

.login-page {
    display: flex;
    flex-direction: column;
    height: 100%;
    min-height: 18rem;
    width: var(--global-content-width);
    font-size: 1.2rem;
    overflow: hidden;
}

    .login-page .form {
        overflow: hidden;
    }

    .login-page .footer {
        /*padding: unset;*/
        font-size: 0.8rem;
    }

.content {
    padding-top: 5vh;
    position: unset;
}

.logo {
    display: flex;
    margin: 2.5rem;
    align-content: center;
    justify-content: center;
}

.containers {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
    gap: 0.8rem;
    justify-content: center;
}


@media screen and (max-width: 900px) {
    .containers {
        flex-direction: column;
    }
}

.container {
    margin: 0;
    padding: 0.75rem;
    background-color: var(--background-color);
    border: 1px solid var(--container-border-color);
    border-radius: var(--container-border-radius);
    box-shadow: var(--login-container-panel-shadow);
    color: var(--text-color);
}

.login-container {
    width: 380px;
    height: fit-content;
    padding: 1.5rem 2rem;
}

@media screen and (max-width: 900px) {
    .login-container {
        align-self: center;
    }
}

.info-container {
    width: 50%;
    height: 75%;

    overflow: auto;
}

@media screen and (max-width: 900px) {
    .info-container {
        min-width: 450px;
        align-self: center;
        width: 80%;
    }
}

@media screen and (min-width: 1200px) {
    .info-container {
        width: 50%;
    }
}

@media screen and (min-width: 2000px) {
    .info-container {
        max-width: 840px;
    }
}

.info-container .infolist {
    background-color: var(--background-color);
    border-radius: var(--container-border-radius);
    box-shadow: var(--login-container-panel-shadow);
    border: 1px solid var(--container-border-color);
    width: 99%;
}

.info-container .infolist .accordion-item {
    border-top: unset;
    border-left: unset;
    border-right: unset;
    box-shadow: unset;
}

    .info-container .infolist .accordion-item:last-child {
        border-bottom: 1px solid var(--container-border-color);
    }

    .info-container .infolist .accordion-item summary {
        height: unset;
    }

    .info-container .infolist .accordion-content iframe {
        width: 100%;
        height: 100%;
        max-height: 50vh;
        min-height: 30vh;
    }

.welcomeText {
    display: flex;
    justify-content: center;
    margin-bottom: 1.25rem;
    font-size: 0.875em;
    font-weight: 100;
}

.login-form {
    text-align: center;
    display: flex;
    flex-direction: column;
}

.form-group {
    text-align: left;
}

.save-login {
    display: flex;
    justify-content: start;
    gap: 1rem;
    margin: 0rem 0.1rem 1rem 0.1rem;
}

.submitButton {
    margin-top: 1.25rem;
    margin-bottom: 0.75rem;
    width: 70%;
    align-self: center;
}

/* Password Request */
.details-box {
    padding: 0;
}

    .details-box .header {
        display: flex;
        justify-content: center;
        font-size: 0.8rem;
        font-weight: bold;
    }

    .details-box .chevron {
        width: 18px;
        height: 18px;
        stroke: var(--text-color);
        transition: transform 0.3s ease;
    }

    .details-box details[open] .chevron {
        transform: rotate(-180deg);
    }

    .details-box summary {
        font-weight: 100;
        cursor: pointer;
        color: var(--submit-color);
        outline: none;
        list-style: none;
        position: relative;
        transition: color var(--details-transition-speed);
    }

.details-content {
    max-height: 0;
    overflow: hidden;
    margin: 0.25rem;
    margin-top: 0.05rem;
    color: var(--text-color);
    justify-self: center;
    transition: max-height var(--details-transition-speed) ease, padding var(--details-transition-speed) ease;
}

    .details-content .info-text {
        font-size: 0.8rem;
    }

    .details-content .input-area {
        margin: 0.25rem;
        justify-items: center;
    }

.details-box[open] .details-content {
    max-height: 500px;
    max-width: 380px;
}

span.valErrorLogin {
    font-size: 0.75rem;
}

    span.valErrorLogin[style*="inline"] {
        display: flex !important;
        color: var(--error-color) !important;
        margin: 0.15rem;
        text-align: left;
    }

.request-result {
    margin-top: 0.25rem;
    font-size: 0.75rem;
}

span.request-result-text {
    display: flex !important;
    text-align: left;
}

.request-result .confirmationText {
    color: var(--success-color);
    font-weight: bold;
    font-size: 0.875em;
}

.request-result .errorText {
    color: var(--error-color);
    font-weight: bold;
    font-size: 0.875em;
}

.details-content .request-pw {
    display: flex;
    min-width: 250px;
    justify-content: center;
}

    .details-content .request-pw .icon-input .input-field {
        border-right: 0px;
        border-end-end-radius: 0px;
        border-start-end-radius: 0px;
    }

    .details-content .request-pw .icon-input:focus-within + .iconButton {
        border-top-color: var(--accent-color) !important;
        border-right-color: var(--accent-color) !important;
        border-bottom-color: var(--accent-color) !important;
    }

    .details-content .request-pw .iconButton {
        border-color: var(--control-border-color);
        border-start-start-radius: 0px;
        border-end-start-radius: 0px;
        margin: 0px;
    }

    .details-content .request-pw:has(.iconButton:active) .icon-input {
        border-color: var(--accent-color) !important;
    }

.validators:not(:has(.valErrorLogin[style*="inline"])) {
    margin-bottom: 1.25rem;
}
